<?php

/* This Source Code Form is subject to the terms of the Mozilla Public
 * License, v. 2.0. If a copy of the MPL was not distributed with this
 * file, You can obtain one at http://mozilla.org/MPL/2.0/. */


define("STRINGS", [
    "sign in" => "Sign In",
    "username" => "Username",
    "password" => "Password",
    "continue" => "Continue",
    "no permission" => "You do not have permission to access this system.",
    "missing permission" => "You do not have permission to do that.",
    "authcode" => "Authentication code",
    "2fa prompt" => "Enter the six-digit code from your mobile authenticator app.",
    "2fa incorrect" => "Authentication code incorrect.",
    "login incorrect" => "Login incorrect.",
    "login server unavailable" => "Login server unavailable.  Try again later or contact technical support.",
    "account locked" => "This account has been disabled. Contact technical support.",
    "password expired" => "You must change your password before continuing.",
    "account terminated" => "Account terminated.  Access denied.",
    "account state error" => "Your account state is not stable.  Log out, restart your browser, and try again.",
    "welcome user" => "Welcome, {user}!",
    "sign out" => "Sign out",
    "settings" => "Settings",
    "options" => "Options",
    "404 error" => "404 Error",
    "page not found" => "Page not found.",
    "invalid parameters" => "Invalid request parameters.",
    "login server error" => "The login server returned an error: {arg}",
    "login server user data error" => "The login server refused to provide account information.  Try again or contact technical support.",
    "captcha error" => "There was a problem with the CAPTCHA (robot test).  Try again.",
    "home" => "Home",
    "more" => "More",
    "punch in out" => "Punch In/Out",
    "punch in" => "Punch in",
    "punch out" => "Punch out",
    "you are punched in" => "You are punched in.",
    "you are not punched in" => "You are not on the clock.",
    "already punched in" => "You are already on the clock.",
    "already punched out" => "You are already punched out.",
    "punched in" => "You are now on the clock.",
    "punched out" => "You are now off the clock.",
    "punch card" => "Punch Card",
    "punches" => "Punches",
    "in" => "In",
    "out" => "Out",
    "notes" => "Notes",
    "view punch card" => "View punch card",
    "na" => "N/A",
    "this week" => "This Week",
    "x on the clock" => "{time} on the clock",
    "x punches" => "{count} punches",
    "1 punch" => "1 punch",
    "history" => "History",
    "shifts" => "Shifts",
    "show all punches" => "Show other users",
    "name" => "Name",
    "start" => "Start",
    "stop" => "Stop",
    "end" => "End",
    "days" => "Days",
    "sunday" => "Sunday",
    "monday" => "Monday",
    "tuesday" => "Tuesday",
    "wednesday" => "Wednesday",
    "thursday" => "Thursday",
    "friday" => "Friday",
    "saturday" => "Saturday",
    "show all shifts" => "Show all shifts",
    "showing all shifts" => "Showing all shifts",
    "show only my shifts" => "Show only my shifts",
    "new shift" => "New Shift",
    "edit shift" => "Edit Shift",
    "shift added" => "Shift added.",
    "shift saved" => "Shift saved.",
    "shift deleted" => "Shift deleted.",
    "shift has users" => "Please un-assign all users before deleting the shift.",
    "invalid time format" => "Invalid time format.  Please use HH:MM or HH:MM AM.",
    "shift name used" => "The shift name you gave is already in use.  Use a different name or edit the existing shift.",
    "invalid shiftid" => "Invalid shift ID.",
    "you are not the manager of user" => "You are not the manager of {arg}.",
    "assign shift" => "Assign Shift",
    "shift" => "Shift",
    "people" => "People",
    "type to add a person" => "Start typing to add a person",
    "add" => "Add",
    "choose a shift" => "Choose a shift",
    "shift assigned" => "Shift assigned.",
    "shift assigned but removal failed" => "Shift assigned successfully, but one or more users are not managed by you and were not removed.",
    "reports" => "Reports",
    "report type" => "Report type",
    "format" => "Format",
    "generate report" => "Generate report",
    "choose an option" => "Choose an option",
    "csv file" => "CSV text file",
    "ods file" => "ODS spreadsheet",
    "html file" => "HTML web page",
    "report filtered to user" => "Report filtered to {name} ({username})",
    "report filtered to start date" => "Only showing entries later than {date}",
    "report filtered to end date" => "Only showing entries earlier than {date}",
    "all managed users" => "All managed users",
    "one user" => "One user",
    "choose user" => "Type to choose user",
    "filter" => "Filter",
    "date range" => "Date range",
    "punchid" => "Punch ID",
    "shiftid" => "Shift ID",
    "shiftname" => "Shift Name",
    "punches" => "Punches",
    "not assigned to work now" => "You are not assigned to work right now.",
    "not a managed user" => "Not a managed user",
    "actions" => "Actions",
    "edit" => "Edit",
    "invalid user" => "That user does not exist.",
    "no editself permission" => "You don't have permission to edit your own punches.",
    "edit punch" => "Edit Punch",
    "new punch" => "New Punch",
    "user" => "User",
    "in must be before out" => "The in time must be before the out time.",
    "punch saved" => "Punch saved.",
    "invalid datetime" => "Could not understand the dates/times given.  Please use a standard format, such as \"January 1, 2018 3:30pm\".",
    "punch deleted" => "Punch deleted.",
    "hours" => "Hours",
    "hours:minutes" => "H:MM",
    "totals" => "Totals",
    "select a job" => "Select a Job",
    "jobs" => "Jobs",
    "job history" => "Job History",
    "job changed" => "Job changed.",
    "edit jobs" => "Edit Jobs",
    "assign job" => "Assign Job",
    "none" => "None",
    "job" => "Job",
    "add job" => "Add Job",
    "code" => "Code",
    "new job" => "New Job",
    "edit job" => "Edit Job",
    "save" => "Save",
    "color" => "Color",
    "delete" => "Delete",
    "job name in use" => "Job name already used.  Pick another.",
    "invalid job" => "Invalid job",
    "job saved" => "Job saved.",
    "job added" => "Job added.",
    "job deleted" => "Job deleted.",
    "show all" => "Show all",
]);